GWT 2.7.0

## com.google.gwt.user.client.ui
Class LayoutCommand

    java.lang.Object
      com.google.gwt.user.client.ui.LayoutCommand

All Implemented Interfaces:
  Scheduler.ScheduledCommand

    public class LayoutCommand

extends java.lang.Object
implements Scheduler.ScheduledCommand

A scheduled command used by animated layouts to ensure that only layout is ever performed for a panel within a given user event.

Note: This class assumes that `Layer.getUserObject()` will return the widget associated with a given layer.

Constructor Summary
`LayoutCommand(Layout layout)` Creates a new command for the given layout object.

Method Summary
`void` | `cancel()` Cancels this command.
`protected void` | `doBeforeLayout()` Called before the layout is executed.
`void` | `execute()` Invokes the command.
`void` | `schedule(int duration, Layout.AnimationCallback callback)` Schedules a layout.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutCommand

    public LayoutCommand(Layout layout)

  Creates a new command for the given layout object.

  Parameters:
    `layout` -

Method Detail

### cancel

    public void cancel()

  Cancels this command. A subsequent call to `schedule(int, Layout.AnimationCallback)` will re-enable it.

### execute

    public final void execute()

  Description copied from interface: `Scheduler.ScheduledCommand`
  Invokes the command.

  Specified by:
    `execute` in interface `Scheduler.ScheduledCommand`

### schedule

    public void schedule(int duration,
                         Layout.AnimationCallback callback)

  Schedules a layout. The duration and callback passed to this method will supercede any previous call that has not yet been executed.

  Parameters:
    `duration` -
    `callback` -

### doBeforeLayout

    protected void doBeforeLayout()

  Called before the layout is executed. Override this method to perform any work that needs to happen just before it.

GWT 2.7.0